using System;
using System.IO;
using System.Drawing;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Convert Image class to PDF file			
			SautinSoft.PdfVision v = new SautinSoft.PdfVision();
			
            //v.Serial = "XXXXXXXXXXXXXXX";
			
			//specify converting options
			v.PageStyle.PageSize.Auto();
			//v.PageStyle.PageMarginLeft.Inch(1);
			//v.ImageStyle.Heightmm(150);
			//v.ImageStyle.WidthInch(10);

			//To make PDF optimal by size and quality we recommend following:
			//For JPEG images  specify the quality to 80, for PNG and GIF set it to 100
			v.ImageStyle.Quality=80;
			
			//Create object of Image class from file
			System.Drawing.Image img = Image.FromFile(@"..\..\..\..\..\image1.jpg");
			MemoryStream memoryStream = new System.IO.MemoryStream();
			//image.img.Save(memoryStream, System.Drawing.Imaging.ImageFormat.Png);
			img.Save(memoryStream, System.Drawing.Imaging.ImageFormat.Jpeg);			

			//Get bytes from image
			byte [] imgData = memoryStream.ToArray();
			memoryStream.Close();

			//Convert image stream to PDF file
			int ret = v.ConvertImageStreamToPDFFile(imgData, @"..\..\..\..\..\hardcopy.pdf");
			if(ret==0 )
			{
				//Show produced PDF in Adobe Acrobat
				System.Diagnostics.Process.Start(@"..\..\..\..\..\hardcopy.pdf");
			}
		}
	}
}
