Imports System.IO

Namespace Sample
	Friend Class Test
		Shared Sub Main(ByVal args() As String)
			'Convert HTML string to PDF bytes
			Dim v As New SautinSoft.PdfVision()
			'v.Serial = "XXXXXXXXXXXXXXX";

			'specify converting options
			v.PageStyle.PageSize.Auto()
			'v.PageStyle.PageMarginLeft.Inch(1);
			'v.ImageStyle.Heightmm(150);
			'v.ImageStyle.WidthInch(10);

			'Specify top and bottom page margins
			v.PageStyle.PageMarginTop.Mm(5F)
			v.PageStyle.PageMarginBottom.Mm(5F)

			'To make PDF optimal by size and quality we recommend following:
			'For JPEG images  specify the quality to 80, for HTML, PNG and GIF set it to 100
			v.ImageStyle.Quality=100
			'set it 3 seconds to HTML with a lot of JavaScripts, like a Google Maps
			v.ImageStyle.HtmlTimeOutForScripts = 0F

			Dim html As String = "<html><body><b>Sample Bold Text</b></body></html>"

			'Convert HTML string to PDF bytes
			Dim pdf() As Byte = v.ConvertHtmlStringToPDFStream(html)

			If pdf IsNot Nothing Then
				Dim pdfPath As String = "..\..\..\..\..\hardcopy.pdf"
				'3. Save to PDF file
				Dim fs As New FileStream(pdfPath, FileMode.Create, FileAccess.Write)
				fs.Write(pdf, 0, pdf.Length)
				fs.Close()
				System.Diagnostics.Process.Start(pdfPath)
			End If
		End Sub
	End Class
End Namespace
